Subject: RE: [Sigtran] M3UA: 1IPSP - multiple IPSPs traffic flow

From: "Prasad, Shashank S (Shashank)" <[email-masked]>
Date: Wed, 9 Nov 2005 01:17:55 +0530

Brian, Tolga,
The key thing is that SE and DE modes should be delinked from IPSP and SGP
considerations.
I feel that we should give the flexibility of SE and DE to the IPSPs-IPSPs.
We should leave the IPSPs to decide which mode they need to take.

If both the IPSPs have more than one AS, and they would like to control the
traffic flow from either end for their respective ASs, they would naturally
go for Double Ended.
However, if they have only one AS per IPSPs, it is likely that they go in
the Single Ended.

Would u agree ?

shashank

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Tolga Asveren
Sent: Tuesday, November 08, 2005 7:19 PM
To: [email-masked]
Subject: RE: [Sigtran] M3UA: 1IPSP - multiple IPSPs traffic flow

Brian,

[..snip..]
> > Regarding the issue we are discussing in this thread -being
> able to support
> > traffic mode in both directions-I think it is a nice thing to
> have, because
> > we have application logic at both sides, which may want to use different
> > traffic .
>
> Again, the IPSP acting as an SGP in SE mode is not required to
> have a traffic
> mode.
>
> In the normal ASP/SGP exchange, the SGP does not have a traffic
> mode to place in
> the ASPAC Ack.  Any traffic distribution towards the SGP is an
> SG-wide attribute
> and does not differ from AS to AS, nor ASP to ASP.
[TOLGA]I believe we have another one of those "rare" situations where
neither you nor I can convince the other one ;-) I think the options and
supporting arguments are as follows:

a)We don't need traffic mode bothways for SE-IPSP, because one of SE-IPSPs
is mimicing a SGP and SGPs do not have traffic mode.

b)We need traffic mode bothways, because both sides have application logic,
which can have different trafic mode characteristics. (Shashank's position)

I subscribe to b) and as far as I understand you support a).  I think we
need to hear more from other people about this issue so that we can reach a
conclusion.

    Thanks,
    Tolga

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Tue, 8 Nov 2005 14:37:51 -0500

Shashank,

> From: Prasad, Shashank S (Shashank) [mailto:[email-masked]]
> Sent: Tuesday, November 08, 2005 2:48 PM
> To: [email-masked]
> Cc: Tolga Asveren
[TOLGA]I don't agree with this statement. As far as I can see, using SE or
DE modes of operation for IPSP is totally independent of number AS. One can
very well have multiple AS and can use SE-IPSP mode -and I personally would
think they would have made a better choice with it-. The main difference
between SE and DE models is whether one wants two client/server
relationships coupled to each other -DE mode- or a peer-to-peer
relationship -SE mode-
> However, if they have only one AS per IPSPs, it is likely that they go in
[TOLGA]I don't agree. I personally do not think that DE-mode is necessary
but it is there in the specification as an optional method.